Bug 310891 - gwenview crashed during rotate image
Summary: gwenview crashed during rotate image
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.8.5
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Benni Hill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-29 19:45 UTC by Jim Arnott
Modified: 2012-12-11 16:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Arnott 2012-11-29 19:45:33 UTC
Application: gwenview (2.8.5)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-33-generic i686
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed: displaying a directory of jpg's , then rotated one of the pics

-- Backtrace:
Application: Gwenview (gwenview), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb5b6b740 (LWP 11506))]

Thread 4 (Thread 0xb3d60b40 (LWP 11508)):
#0  0x00c1cee6 in ?? () from /lib/i386-linux-gnu/libc.so.6
#1  0x00bee9f9 in ?? () from /lib/i386-linux-gnu/libc.so.6
#2  0x00bd03d1 in read () from /lib/i386-linux-gnu/libc.so.6
#3  0x0672072b in ?? () from /usr/lib/nvidia-current/libGL.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 3 (Thread 0xb3107b40 (LWP 11509)):
#0  0x00ef1416 in __kernel_vsyscall ()
#1  0x00bd25f0 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x0550fa7b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x055020ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x05502201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x007498e7 in QEventDispatcherGlib::processEvents (this=0xb2800480, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0071550d in QEventLoop::processEvents (this=0xb3107190, flags=...) at kernel/qeventloop.cpp:149
#7  0x007157a9 in QEventLoop::exec (this=0xb3107190, flags=...) at kernel/qeventloop.cpp:204
#8  0x005fe94c in QThread::exec (this=0xa422c68) at thread/qthread.cpp:501
#9  0x006f2b5d in QInotifyFileSystemWatcherEngine::run (this=0xa422c68) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00601de0 in QThreadPrivate::start (arg=0xa422c68) at thread/qthread_unix.cpp:298
#11 0x06723a11 in ?? () from /usr/lib/nvidia-current/libGL.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0xad1a3b40 (LWP 11519)):
#0  0x00ef1416 in __kernel_vsyscall ()
#1  0x00edb96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00bee64c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x00602350 in wait (time=4294967295, this=0xa275368) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa259b80, mutex=0xa259b7c, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x001daf2b in Gwenview::SemanticInfoThread::run (this=0xa259b70) at ../../lib/semanticinfo/nepomuksemanticinfobackend.cpp:145
#6  0x00601de0 in QThreadPrivate::start (arg=0xa259b70) at thread/qthread_unix.cpp:298
#7  0x06723a11 in ?? () from /usr/lib/nvidia-current/libGL.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb5b6b740 (LWP 11506)):
[KCrash Handler]
#7  0x00160737 in Gwenview::Document::loadingState (this=0x0) at ../../lib/document/document.cpp:162
#8  0x08095997 in Gwenview::Preloader::doPreload (this=0xa1c1c80) at ../../app/preloader.cpp:91
#9  0x00728c01 in QMetaCallEvent::placeMetaCall (this=0xad81c200, object=0xa1c1c80) at kernel/qobject.cpp:525
#10 0x00731c7b in QObject::event (this=0xa1c1c80, e=0xad81c200) at kernel/qobject.cpp:1195
#11 0x01e8aed4 in notify_helper (e=0xad81c200, receiver=0xa1c1c80, this=0xa11dde0) at kernel/qapplication.cpp:4559
#12 QApplicationPrivate::notify_helper (this=0xa11dde0, receiver=0xa1c1c80, e=0xad81c200) at kernel/qapplication.cpp:4531
#13 0x01e9030d in QApplication::notify (this=0xad81c200, receiver=0xa1c1c80, e=0xad81c200) at kernel/qapplication.cpp:4288
#14 0x010dee01 in KApplication::notify (this=0xbfca06b8, receiver=0xa1c1c80, event=0xad81c200) at ../../kdeui/kernel/kapplication.cpp:311
#15 0x0071697e in QCoreApplication::notifyInternal (this=0xbfca06b8, receiver=0xa1c1c80, event=0xad81c200) at kernel/qcoreapplication.cpp:876
#16 0x0071aad8 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#17 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa0bda40) at kernel/qcoreapplication.cpp:1500
#18 0x0071ae0c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#19 0x00749494 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#20 postEventSourceDispatch (s=0xa11ec80) at kernel/qeventdispatcher_glib.cpp:279
#21 0x05501d86 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0x05502125 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#23 0x05502201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#24 0x00749887 in QEventDispatcherGlib::processEvents (this=0xa0be5c0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#25 0x01f43aaa in QGuiEventDispatcherGlib::processEvents (this=0xa0be5c0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#26 0x0071550d in QEventLoop::processEvents (this=0xbfca0604, flags=...) at kernel/qeventloop.cpp:149
#27 0x007157a9 in QEventLoop::exec (this=0xbfca0604, flags=...) at kernel/qeventloop.cpp:204
#28 0x0071aeba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#29 0x01e88a74 in QApplication::exec () at kernel/qapplication.cpp:3820
#30 0x080661ad in main (argc=<error reading variable: Cannot access memory at address 0x0>, argv=<error reading variable: Cannot access memory at address 0x4>) at ../../app/main.cpp:142

Reported using DrKonqi
Comment 1 Benni Hill 2012-12-11 13:56:48 UTC
https://git.reviewboard.kde.org/r/107667/
Comment 2 Benni Hill 2012-12-11 16:08:09 UTC
Git commit 7c97f7fce1c3c3efc999c007fbf6935962f303c2 by Benjamin Löwe.
Committed on 11/12/2012 at 17:06.
Pushed by bennihill into branch 'master'.

Fix for Bug 310891 - gwenview crashed during rotate image
REVIEW: 107667
FIXED-IN: 4.10.0

M  +4    -0    app/preloader.cpp

http://commits.kde.org/gwenview/7c97f7fce1c3c3efc999c007fbf6935962f303c2